do
local oldModBP = ModBlueprints
local blankweapon = 	    {
            CollideFriendly = false,
            Damage = 0,
            FireTargetLayerCapsTable = {
                Air = 'Land|Water',
                Land = 'Land|Water',
                Water = 'Land|Water',
            },
			
            FiringTolerance = 1,
            Label = 'DummyWeapon',
            MaxRadius = 32,
            RateOfFire = 0.75,
            TargetCheckInterval = 0.6,
            TargetPriorities = {
                'SPECIALHIGHPRI',
                'COMMAND',
                'MOBILE',
                'STRUCTURE DEFENSE',
                'SPECIALLOWPRI',
                'ALLUNITS',
            },
            TargetRestrictDisallow = 'UNTARGETABLE',
            WeaponCategory = 'Direct Fire',
        }

local aaOnlyUnitList = {
	"ual0101",
	"ual0104",
	"ual0205",
	"ual0307",
	"uel0101",
	"uel0104",
	"uel0205",
	"uel0307",
	"url0101",
	"url0104",
	"url0205",
	"url0306",
}

function ModBlueprints(all_bps)

	oldModBP(all_bps)
    
    for id,bp in all_bps.Unit do
		for i, id in aaOnlyUnitList do
			if bp.BlueprintId == id then
				if not bp.Weapon then bp.Weapon = {} end
				table.insert(bp.Weapon, 1, blankweapon)
			end
		end
    end
end
end






